Jump to content

Photo

Mod Compatibility List for EET


1204 replies to this topic

#1171 Kaliesto

Kaliesto
  • Members
  • 51 posts

Posted 11 August 2018 - 08:28 AM

OMG K4THOS IS BACK!!!

 

Where you been!

 

Where you'd go!

 

Don't leave us again! :(((((((

 

 

Okay in all seriousness, glad to see you're back! :)



#1172 Shin

Shin
  • Members
  • 57 posts
  • Gender:Male
  • Location:Stockholm, Sweden

Posted 14 August 2018 - 05:30 PM

What happened to compatibility with the G3 anniversary mod, http://www.gibberlings3.net/g3a/ ? I recall it used to be part of the BWP-patched compatibility list earlier, but now I can't seem to find it. Also the github update - https://github.com/Gibberlings3/g3anniversary - would appear to include BWP fixes and EET compatibility.


Edited by Shin, 14 August 2018 - 05:32 PM.


#1173 Cahir

Cahir
  • Members
  • 228 posts
  • Gender:Male
  • Location:Poland

Posted 06 October 2018 - 11:44 PM

I'm curious, what does it mean "Native EET compatibility" in here: https://github.com/K...tibility-List ?

 

As far I know there is no official EET-compatible release of Back to Brynnlaw from Kulyok or someone who has her blessing to do so? So in this case I hardly call it native. Or I'm misinterpreting what "native" means?

 

I must admit I'm starting to be a bit lost with all those mods versioning.


Then they summoned me over to join in with them
To the dance of the dead
Into the circle of fire I followed them
Into the middle I was led

#1174 jastey

jastey
  • Gibberlings
  • 7529 posts
  • Gender:Female

Posted 07 October 2018 - 12:11 AM

Native compatibility means just the possibility to install the mod directly to a prepared EET game.

 

That Roxanne offers inofficial PPG mod versions with EET compatibility on her private site the original author is not happy about is another story.



#1175 Jarno Mikkola

Jarno Mikkola

    The Imp

  • Modders
  • 6829 posts
  • Gender:Male
  • Location:The town where the dead haven't keeled over, yet. In Finland.

Posted 07 October 2018 - 12:16 AM

I'm curious, what does it mean "Native EET compatibility" in here: https://github.com/K...tibility-List ?

From the linked file itself:

Compatibility with EET doesn't mean that mods are fully compatible with each other - refer to BWP PDF files, original readme files and forum discussions for compatibility details. For example Garrick : tales of a troubadour readme file states that it conflicts with Garrick's Infatuation and Tenya NPC and it is not recommended to install them together. Same readme file also mentions that the mod requires BG1 NPC Project installed before it.

Mods have been tested with versions mentioned in above list. It's unlikely that newer ones will break something, as the compatibility changes made to them during EET installation are minimal, if made at all. As long as the mod won't suddenly conflict with BG2:EE resources it should be still supported regardless of the chnges done to it. Although let us know if you notice any problems.

So that means multiple of the mods might not work with each others, but will work with EET alone.
And then there's the "native", which means directly installed on top of a BG2EE after installing EET on it as well.
Welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand.
Here's how to install all the ... mods you ever really could want to Infinity Engine games. I removed the stable word from there as Roxanne began to add BS mods that are likely to break compatibility from the BWS.

#1176 Ulb

Ulb
  • Members
  • 189 posts
  • Gender:Male

Posted 07 October 2018 - 11:30 AM

That Roxanne offers inofficial PPG mod versions with EET compatibility on her private site the original author is not happy about is another story.

It would appear that (at least in this case) she has permission to update the mod.

At least that's how I would interpet this post.



#1177 jastey

jastey
  • Gibberlings
  • 7529 posts
  • Gender:Female

Posted 07 October 2018 - 12:13 PM

@Ulb Making an EET-only version is not a technical update.



#1178 Ulb

Ulb
  • Members
  • 189 posts
  • Gender:Male

Posted 08 October 2018 - 01:27 AM

It sure seems strange to not keep none-EET compatibility, I'll admit that (I haven't really looked into it, so I wasn't aware).

But still, there previously only was a none-EET compatible version (I assume?) and now there is also one that works for EET. Having to download a different version depending on your set-up may be less convenient but it is still better than simply not having a working version for EET at all. So, in the end, I still consider it an upgrade and very much in the spirit of Kulyok's post.



#1179 Mad Mate

Mad Mate
  • Members
  • 208 posts
  • Gender:Male

Posted 08 October 2018 - 09:43 AM

It sure seems strange to not keep none-EET compatibility, I'll admit that (I haven't really looked into it, so I wasn't aware).

This is happening a lot and I don't like it. Why break old tested mod to make new buggy one?
I lost last week trying to install BWS recommended CTB, ROT & SOS from github, which is now in very bad shape, destroys some IDS so it breaks mods that go after, lots of missing resources, who knows what bugs I may encounter in the game...
Went back to old tested versions. Who needs broken mods at all cost? EEs are now mostly bugfixed, why introduce new bugs with breaking tested mods?
K4thos & jastey (Thanks!!) did a great job on DSotSC and NTotSC, fixing bugs, improving mod, keeping old compatibility, and made possibly for EE.
I wish somebody will do same with rest of big mods (CTB, ROT, SOS & TDD).

#1180 jastey

jastey
  • Gibberlings
  • 7529 posts
  • Gender:Female

Posted 08 October 2018 - 09:53 AM

Mad Mate: weigo updated SoS and CtB:

SoS: http://www.shsforums...er-souber-v114/

CtB: http://www.shsforums...-and-bg2tobbgt/

 

They should be added to the EET list, as well.



#1181 DavidW

DavidW
  • Gibberlings
  • 4641 posts
  • Gender:Male

Posted 08 October 2018 - 09:54 AM

As a matter of general design principles:

 

1) if a mod is completely static (as I guess ancient megamods like CTB are?) and doesn't need bugfixes or compatibility recodings (here I'm not so sure), then you might as well do a separate EE version.

2) if a mod is still being revised or recoded, or if it really needs recoding as well as EE-compatibilising, *in principle* it's better to do a combined install, because it avoids all sorts of versioning problems, fixes not being mirrored, etc. (The main reason I combined SCS and SCSII wasn't convenience for BGT players, it was that it had become impossible to maintain the vast amount of overlapping code in two mods without it getting infuriating) However...

3) … coding a mod for multi-game install is harder than coding it for a single game. So it's more demanding on the coder, and if that person isn't sure what they're doing it's probably less risky to do parallel single-game versions. That depends on the mod itself and how complex its coding is: you can't recode a mod without understanding its original code, and mods vary: at one extreme, it's just a bunch of COPY statements, at the other, it's SCS, which I imagine looks to third parties trying to bugfix it rather like an ancient and decaying piece of alien technology discovered in the Martian desert.



#1182 Mad Mate

Mad Mate
  • Members
  • 208 posts
  • Gender:Male

Posted 08 October 2018 - 10:18 AM

Mad Mate: weigo updated SoS and CtB:
SoS: http://www.shsforums...er-souber-v114/
CtB: http://www.shsforums...-and-bg2tobbgt/
 
They should be added to the EET list, as well.

Those are the ones I tried. Lost a week to make them work and didn't. Appreciate effort but in current state they are not good.
As I said, some of these mods (CTB, I think), erases SHOUTIDS.IDS, so it breaks all mods that need it, compared with old version, some of the resources are missing, after installing (ROT, I think) lots of files gets corrupted (NI check).

#1183 jastey

jastey
  • Gibberlings
  • 7529 posts
  • Gender:Female

Posted 08 October 2018 - 10:56 AM

CtB does not erase SHOUTIDS.ids, it appends to it.

Did you let weigo know about your problems? I'm not so fond of players telling a mod is "not good" but giving no bug report whatsoever to the modder so he/she can improve it.



#1184 Mad Mate

Mad Mate
  • Members
  • 208 posts
  • Gender:Male

Posted 08 October 2018 - 11:17 AM

CtB does not erase SHOUTIDS.ids, it appends to it.

I tried 3-4 installs and it erased it everytime. Can try few more to make sure...

Did you let weigo know about your problems? I'm not so fond of players telling a mod is "not good" but giving no bug report whatsoever to the modder so he/she can improve it.

No, I didn't tell weigo, my fault, because I was too frustrated with lost time, just went back to old versions.

Main reason I said it here, is that these conversion, with or without approval of original modder (don't know) should stay true to original mod.
You participated in conversion of NTotSC, is it necessary to remove compatibility with old BG to make it compatible with EEs?

#1185 jastey

jastey
  • Gibberlings
  • 7529 posts
  • Gender:Female

Posted 08 October 2018 - 03:31 PM

 

CtB does not erase SHOUTIDS.ids, it appends to it.

I tried 3-4 installs and it erased it everytime. Can try few more to make sure...

 

Hm, I was looking at the code, but did not install it. If you are sure it's CtB I'll tell weigo.
 

Main reason I said it here, is that these conversion, with or without approval of original modder (don't know) should stay true to original mod.
You participated in conversion of NTotSC, is it necessary to remove compatibility with old BG to make it compatible with EEs?

I agree it should stay true to original mod, but I am not sure what you mean by it. I hope NTotSC v2 and up stayed true to the original mod, and yet we changed quite a bit internally and also added quite a bit of content with respect to playability (journal system, no dead ends etc.).

To your question: removal of compatibility with classic BG is not necessary to make a mod EE-compatible, but then the mod has to offer two solutions to some instances to cover the changes (different formatted texts etc.).

In case you really mean NTotSC and are missing compatibility with classic BG1:TotSC, the version I was reworking was never compatible with BG1:TotSC, and making a mod compatible with that is a PITA^3.





Reply to this topic



  


0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users